You are not logged in.

#1 2012-10-21 16:17:32

Troopa
Member
Registered: 2011-12-12
Posts: 29

[SOLVED] pacstrap /mnt base base-devel won't work

Hello everybody

I got an issue with reinstalling my Arch. I created a CD with the archlinux-2012.10.06-dual.iso and the new installation framework.
I did the installation like the beginners guide its describe until i got an error with pacstrap

the pacstrap command from the title ends for me in an inter-conflict with util-linux and eject. It says I should remove eject BUT there is no package to remove. And on the other way around there is no eject to install only utils-linux (pacman -S eject want to install utils-linux).

what should i do? sad I know I act like a noob but i did it like the beginners guide told me. any suggestions?
perhaps i overlooked something tongue


sincerely Troopa


PS: if there are after this issue some similar issues what can a solution be there for?
PSS: sorry, I'm swiss not american or briton big_smile

Last edited by Troopa (2012-10-22 18:17:51)


I'm a gnome, a computer engineer and tinkerer

Offline

#2 2012-10-21 17:21:24

alexanderthegre
Member
Registered: 2012-07-29
Posts: 66

Re: [SOLVED] pacstrap /mnt base base-devel won't work

This issue shouldn't be showing up if you're using the latest install media. Did you md5sum it? The util-linux / eject upgrade happened around a month ago, so unless eject is still in base, (I'll check in a minute,) this shouldn't happen.

Offline

#3 2012-10-21 17:55:15

Troopa
Member
Registered: 2011-12-12
Posts: 29

Re: [SOLVED] pacstrap /mnt base base-devel won't work

no i didn't check the hashsum. perhaps the problem is in the (in)valid cd to find. I'll download a new .iso and will check its sum and burn it on a CD again hmm we will see if it will work


I'm a gnome, a computer engineer and tinkerer

Offline

#4 2012-10-21 19:24:35

Troopa
Member
Registered: 2011-12-12
Posts: 29

Re: [SOLVED] pacstrap /mnt base base-devel won't work

now i've tried to burn a CD again with the pacstrap and co. this time with md5 sum check (it was total equal) and on the fresh installed system ( with the old CD incl. AIF). it didn't work but now for some reason its not eject anymore but systemd-sysvcompat inter-conflicts with sysvinit. thats because from the "older" CD i did a kind of a workaround for eject, i don't know what i've done for that, sorry.


i created the installation CD with wodim from cdrkit with follow command:

wodim -v dev=/dev/cdrom archlinux-2012.10.06-dual.iso

(output of the procedur is not accessable anymore but works fine i think)
did I something wrong with it? is the command wrong or something else?


I'm a gnome, a computer engineer and tinkerer

Offline

#5 2012-10-21 21:38:40

Teaspoon
Member
Registered: 2012-08-29
Posts: 17

Re: [SOLVED] pacstrap /mnt base base-devel won't work

Are you installing to a partition where you already have a broken install? Pacstrap won't continue if what you're installing conflicts with things that are already on that partition, and I would guess you've got sysvinit lurking on that partition from when you were trying to install with the old ISO. If that's the case you should either blow away the contents of the existing partition (by running mkfs on it again) or arch-chroot to it and bring it up to speed using pacman. Given that you didn't get the previous install working, I suspect you don't have a lot to lose by blowing the old one away and it'll probably be less work in the long run.

Offline

#6 2012-10-22 18:17:31

Troopa
Member
Registered: 2011-12-12
Posts: 29

Re: [SOLVED] pacstrap /mnt base base-devel won't work

Thx to both

it works
first i created the cd with a precheck of the md5 sum

then I followed the beginners guide until the use of pacstrap. before i used it I used the mkfs command on each partition (and of course i overwrote existing partition with newer one)

 mkfs --type=ext4 /dev/sdaX 

and then i used pacstrap without -i (i think you can try with it)
The rest i did how the beginners guide was telling me i should

now i can use it like before the update/fresh install
sincerely Troopa


I'm a gnome, a computer engineer and tinkerer

Offline

Board footer

Powered by FluxBB